Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.rups.view
Class Console.ReadWriteThread

    java.lang.Object
      java.lang.Thread
          com.lowagie.rups.view.Console.ReadWriteThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  Console

     class Console.ReadWriteThread

extends Thread

The thread that will write everything to the text area.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`(package private) PipedInputStream` | `pi` The InputStream of this Thread
`(package private) String` | `type` The type (CUSTOM, SYSTEMOUT, SYSTEMERR) of this Thread

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Console.ReadWriteThread(PipedInputStream pi, String type)` Create the ReaderThread.

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pi

    PipedInputStream pi

  The InputStream of this Thread

### type

    String type

  The type (CUSTOM, SYSTEMOUT, SYSTEMERR) of this Thread

Constructor Detail

### Console.ReadWriteThread

    Console.ReadWriteThread(PipedInputStream pi,
                            String type)

  Create the ReaderThread.

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`
  See Also:
    `Thread.run()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD